View Issue Details

IDProjectCategoryView StatusLast Update
0003394SymmetricDSBugpublic2018-03-12 08:28
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.3 
Target Version3.9.4Fixed in Version3.9.4 
Summary0003394: Booleans fields fail on Sybase 15 using Sybase 12 query optimizer
DescriptionThis issue was not reproducible on Sybase 15 or 16 out of the box, but was reported by a client running Sybase 15 which was configured to use the v12 query optimizer. Client was using the jConnect7.7.jar driver. The following exception caused heartbeats not to flow into Sybase, and was caused when a Boolean object came through the SybaseJdbcSqlTemplate.setDecimalValue method.

2018-01-31 09:27:54,989 ERROR [SybaseServer] [ManageIncomingBatchListener] [sybaseserver-dataloader-2] An error caused a batch to fail without attempting to load data for batch Server-9023 StackTraceKey.init [ArrayIndexOutOfBoundsException:3528875218]
java.lang.ArrayIndexOutOfBoundsException: 46
    at com.sybase.jdbc4.jdbc.ParamManager.fillParamFromRSMD(ParamManager.java:628)
    at com.sybase.jdbc4.jdbc.ParamManager.setParamMd(ParamManager.java:549)
    at com.sybase.jdbc4.tds.Tds.dynamicPrepare(Tds.java:1243)
    at com.sybase.jdbc4.jdbc.SybPreparedStatement.getParameterMetaData(SybPreparedStatement.java:3230)
    at com.sybase.jdbc4.jdbc.SybPreparedStatement.setParam(SybPreparedStatement.java:2740)
    at com.sybase.jdbc4.jdbc.SybPreparedStatement.setObject(SybPreparedStatement.java:1152)
    at com.sybase.jdbc4.jdbc.SybPreparedStatement.setObject(SybPreparedStatement.java:1222)
    at org.apache.commons.dbcp.DelegatingPreparedStatement.setObject(DelegatingPreparedStatement.java:166)
    at org.apache.commons.dbcp.DelegatingPreparedStatement.setObject(DelegatingPreparedStatement.java:166)
    at org.springframework.jdbc.core.StatementCreatorUtils.setValue(StatementCreatorUtils.java:388)
    at org.springframework.jdbc.core.StatementCreatorUtils.setParameterValueInternal(StatementCreatorUtils.java:241)
    at org.springframework.jdbc.core.StatementCreatorUtils.setParameterValue(StatementCreatorUtils.java:172)
    at org.jumpmind.db.sql.JdbcSqlTemplate.setDecimalValue(JdbcSqlTemplate.java:1030)
    at org.jumpmind.db.platform.sybase.SybaseJdbcSqlTemplate.setDecimalValue(SybaseJdbcSqlTemplate.java:153)
    at org.jumpmind.db.sql.JdbcSqlTemplate.setValues(JdbcSqlTemplate.java:1009)
    at org.jumpmind.db.sql.JdbcSqlTransaction$4.execute(JdbcSqlTransaction.java:331)
    at org.jumpmind.db.sql.JdbcSqlTransaction$4.execute(JdbcSqlTransaction.java:325)
    at org.jumpmind.db.sql.JdbcSqlTransaction.executeCallback(JdbcSqlTransaction.java:404)
    at org.jumpmind.db.sql.JdbcSqlTransaction.prepareAndExecute(JdbcSqlTransaction.java:325)
    at org.jumpmind.symmetric.service.impl.IncomingBatchService.insertIncomingBatch(IncomingBatchService.java:248)
    at org.jumpmind.symmetric.service.impl.IncomingBatchService.insertIncomingBatch(IncomingBatchService.java:277)
    at org.jumpmind.symmetric.service.impl.IncomingBatchService.acquireIncomingBatch(IncomingBatchService.java:192)
    at org.jumpmind.symmetric.service.impl.ManageIncomingBatchListener.beforeBatchStarted(ManageIncomingBatchListener.java:132)
    at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:95)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$1.call(DataLoaderService.java:1020)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$1.call(DataLoaderService.java:982)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 754b995b

2018-02-01 17:15:47

mmichalek

Details Diff
0003394: Booleans fields fail on Sybase 15 using Sybase 12 query
optimizer

0003394
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sybase/SybaseJdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2018-01-31 10:44 mmichalek New Issue
2018-01-31 10:44 mmichalek Status new => assigned
2018-01-31 10:44 mmichalek Assigned To => mmichalek
2018-02-01 17:16 mmichalek Status assigned => resolved
2018-02-01 17:16 mmichalek Resolution open => fixed
2018-02-01 17:16 mmichalek Fixed in Version => 3.9.4
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 754b995b
2018-03-12 08:28 chenson Status resolved => closed